/* static/css/style.css */

/* Arrière plan */
body {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: #3b3637;
}

/* Menu de navigation */
ul.menu {
  list-style-type: none;
  margin: 0 auto;
  padding: 0;
  overflow: hidden;
  background-color: #f9f9f9;
  display: flex;
  align-items: center;
  height: 80px;
  margin-top: 20px;
  width: 800px;
  justify-content: space-around;
}

ul.menu li {
  display: flex;
  justify-content: center;
  align-items: center;
}

ul.menu li a {
  display: block;
  color: #727272;
  padding: 14px 16px;
  text-decoration: none;
  font-size: 20px;
  font-weight: bold;
}

ul.menu li a:hover {
  background-color: #ddd;
}

ul.menu li.active a {
  background-color: #4CAF50;
  color: white;
}


/* Titres des pages */
h1 {
  color: #fd2525;
}
.h2 {
  color: #363535;
  font-size: 25px;
}

/* Texte */
p {
  color: #d8d6d6;
  font-size: 1.2em;
}

.p2 {
  color: #ff0303;
  font-size: 20px;
  font-weight: bold;
}

.p3 {
  color: #d8d6d6;
  font-size: 1.2em;
  text-align: center;
}

.p4 {
  color: #636262;
  font-size: 20px;
  font-weight: bold;
}

/* Formulaire */
.row {
  display: flex;
}

.column {
  flex: 50%;
  padding: 10px;
}

form {
  background-color: #f9f9f9;
  padding: 20px;
  border-radius: 5px;
  width: 800px;
  margin: 0 auto;
  text-align: center;
}

form label {
  display: block;
  margin-bottom: 10px;
  color: #333;
}
/* Date */
form input[type="date"] {
  width: 60%;
  padding: 10px;
  margin-bottom: 20px;
  border-radius: 5px;
  border: 1px solid #ddd;
}
/* Bouton envoie Date */
form input[type="submit"] {
  background-color: #4CAF50;
  color: white;
  border: none;
  padding: 10px 20px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
  border-radius: 5px;
}
form input[type="submit"] {
  width: 30%;
  background-color: #636262;
}
form input[type="submit"]:hover {
  background-color: #ff0000;
}
/* Menu déroulant */
form.my-form select {
  width: 50%;
  height: 40px;
  padding: 10px;
  font-size: 1.2em;
  border-radius: 5px;
  border: 1px solid #ddd;
}
/* Bouton pour télécharger en JPEG */
.download {
  width: 39%;
  padding: 10px;
  font-size: 1.2em;
  font-weight: bold;
  border-radius: 5px;
  border: none;
  background-color: #636262;
  color: white;
}
.download:hover {
  background-color: #ff0000;
}
/* Choix d'un fichier à envoyer */
form.my-form input[type="file"] {
  width: 80%;
  padding: 10px;
  font-size: 1.2em;
  border-radius: 5px;
  border: 1px solid #ddd;
}
/* Bouton pour envoyer le fichier */
form.my-form button[type="submit"] {
  width: 30%;
  padding: 10px;
  font-size: 1.2em;
  border-radius: 5px;
  border: none;
  background-color: #4CAF50;
  color: white;
}
form.my-form button[type="submit"] {
  width: 30%;
  background-color: #636262;
}

form.my-form button[type="submit"]:hover {
  background-color: #ff0000;
}


form.my-form label {
  font-weight: bold;
  font-size: 1.2em;
}

.error {
  font-weight: bold;
  color: red;
  font-size: 30px;
}

.success {
  font-weight: bold;
  color: green;
  font-size: 30px;
}

/* Box contenant les formulaires et résultats */
.data-box {
  background-color: #f9f9f9;
  padding: 10px;
  border-radius: 5px;
  width: 800px;
  margin: 0 auto;
  margin-bottom: 20px;
  text-align: center;
  width: 39%; /* Permet de rendre la boîte aussi large que le conteneur parent */
}

.data-box h2 {
  color: #333;
  margin-bottom: 10px;
}

.data-box p {
  color: #666;
}

/* Tableau des périodes */
.date-table {
  border-collapse: collapse;
}

.date-table th,
.date-table td {
  padding: 10px;
}

/* Tableau des euros players */
.data-table {
  border-collapse: collapse;
  width: 90%; /* Permet de rendre le tableau aussi large que le conteneur parent */
  font-size: 28px; /* Augmente la taille de la police */
}

.data-table th,
.data-table td {
  border: 1px solid rgb(0, 0, 0);
  padding: 8px;
}

.data-table th {
  font-weight: bold; /* Rend le texte en gras */
}



.grid-container {
  display: grid;
  grid-template-columns: auto auto;
  gap: 20px; /* Espacement entre les deux tableaux */
}

.grid-item {
  width: 100%;
}



/* Footer */
footer {
  background-color: #f9f9f9;
  padding: 10px;
  border-top: 1px solid #ddd;
  text-align: center;
  width: 100%;
  position: fixed;
  bottom: 0;
}

footer p {
  color: #333;
  font-size: 14px;
}
